- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Estimation::Discrete::ProbabilityRules::ObsProbRule Class Reference

`#include <ObsProbRule.h>`

Inheritance diagram for Mers::Estimation::Discrete::ProbabilityRules::ObsProbRule:

[legend]
Collaboration diagram for Mers::Estimation::Discrete::ProbabilityRules::ObsProbRule:

[legend]
List of all members.

## Public Member Functions
| ObsProbRule (const Mers::Models::Base::BaseModelAssignmentArray *myAssigmentArray, const double prob, unsigned short db=0)
virtual | ~ObsProbRule ()
double | getProbability (void) const
## Friends
std::ostream & | operator<< (std::ostream &, ObsProbRule const &)

## Detailed Description

This class inherits from the probability rule class. In addition to having an array of base model assignments, the observation probability rule also has an observation probability that is used during BFIG expansion when all the mode assignments are assigned.

Definition at line 52 of file ObsProbRule.h.

## Constructor & Destructor Documentation

ObsProbRule::ObsProbRule | ( | const Mers::Models::Base::BaseModelAssignmentArray * | myAssigmentArray,
|  | const double | prob,
|  | unsigned short | db = `0` |
| ) |  |  |

Creates new Probability Rule This class does NOT assume ownership of anything and will not delete anything.

Parameters:

  | myAssigmentArray | is the set of rule assignments.
  | prob | the observation probability associated with this set of mode assignments.
  | db | the initial debug value (0 if unassigned)

Definition at line 26 of file ObsProbRule.cpp.

ObsProbRule::~ObsProbRule | ( |  | ) | `[virtual]`

Destroys all the probability rule. The probability rule doesn't own anything so nothing will be deleted.

Definition at line 35 of file ObsProbRule.cpp.

## Member Function Documentation

double ObsProbRule::getProbability | ( | void |  | ) | const

Gets the observation probability associated with this rule.

Returns:
  probability

Definition at line 46 of file ObsProbRule.cpp.

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Estimation/Discrete/ProbabilityRules/ObsProbRule.h
- /Users/fpy/titan-1-5-MBARI/Mers/Estimation/Discrete/ProbabilityRules/ObsProbRule.cpp